[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVCheckedItemEvent

Specifies an event handler signalled when the checked state for an item on a list view control has been changed.

## Declaration

Source position: comctrls.pp line 1323

`type TLVCheckedItemEvent = procedure(`
`Sender: TObject;`
`Item: TListItem`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`Item` |  | List item for the event notification.

## Description

TLVCheckedItemEvent is the type used to implement the OnItemChecked event handler in TCustomListView.

## See also

TCustomListView.OnItemChecked |  | Event handler signalled when the Checked property for a list item has been changed.
TListItem.Checked |  | Displays a check mark to allow the list item to be include in list view operations.